 /*****************\
 * Casio Fx - 9860*
 * Project: Game  *
 * Name: BOXED    *
 * Author: Eiyeron*
 * File: util.c   *
 * Year: 2011     *
 \*****************/
 
#include "util.h"
#define abs(x) (x<0)?-x:x

char* int2str(char* c, int n)
{
    if(n==0)
    {
        c[0] = '0';
        c[1] = 0;
    }
    else
    {
        int i, l=0;
        if(n<0)
        {
            c[0] = '-';
            n = abs(n);
            l++;
        }
        for(i=n ; i ; i/=10)
            l++;
        c[l] = 0;
        for(i=n ; i ; i/=10)
            c[--l] = i%10+'0';
    }
    return c;
}

char* uint2str(char* c, unsigned int n)
{
    if(n==0)
    {
        c[0] = '0';
        c[1] = 0;
    }
    else
    {
        int i, l=0;
        if(n<0)
        {
            c[0] = '-';
            n = abs(n);
            l++;
        }
        for(i=n ; i ; i/=10)
            l++;
        c[l] = 0;
        for(i=n ; i ; i/=10)
            c[--l] = i%10+'0';
    }
    return c;
}

char* char2str(char* c, char n)
{
    if(n==0)
    {
        c[0] = '0';
        c[1] = 0;
    }
    else
    {
        int i, l=0;
        if(n<0)
        {
            c[0] = '-';
            n = abs(n);
            l++;
        }
        for(i=n ; i ; i/=10)
            l++;
        c[l] = 0;
        for(i=n ; i ; i/=10)
            c[--l] = i%10+'0';
    }
    return c;
}

char* uchar2str(char* c, unsigned char n)
{
    if(n==0)
    {
        c[0] = '0';
        c[1] = 0;
    }
    else
    {
        int i, l=0;
        if(n<0)
        {
            c[0] = '-';
            n = abs(n);
            l++;
        }
        for(i=n ; i ; i/=10)
            l++;
        c[l] = 0;
        for(i=n ; i ; i/=10)
            c[--l] = i%10+'0';
    }
    return c;
}
