 /*****************\
 *  Casio Fx-9860  *
 *  Project: Game  *
 *  Name: BOXED    *
 *  Author: Eiyeron*
 *  File: aide.c   *
 *  Year: 2011     *
 \*****************/

#include "fxlib.h"
#include "MonochromeLib.h"
#include "aide.h"

void Aide()
{
	unsigned char mur[] = {0xFF, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xFF};
	unsigned char caisse[] = {0x7E, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x7E};
	unsigned char dot[] = {0x00, 0x3C, 0x5E, 0x7E, 0x7E, 0x7E, 0x3C, 0x00};
	unsigned char caissemise[] = {0x7E, 0x81, 0x99, 0xBD, 0xBD, 0x99, 0x81, 0x7E};
	unsigned char persof[] = {0x18, 0x18, 0x00, 0x5A, 0x3C, 0x18, 0x3C, 0x42};
	unsigned char persor[] = {0x18, 0x18, 0x00, 0x1A, 0x1C, 0x18, 0x18, 0x0C};

	char leftarrow[]={0xE6,0x91,0};
	char downarrow[]={0xE6,0x93,0};
	unsigned char Eiyeron[] = 
		{0x7B, 0xE8, 0x9E, 0xF1, 0xCC,
		 0x80, 0xC0, 0xC5, 0xB0, 0xCB,
		 0x2C, 0x80, 0xC0, 0xC3, 0x30,
		 0xCB, 0x2E, 0x80, 0xF0, 0xC3,
		 0x3C, 0xF3, 0x2D, 0x80, 0xC0,
		 0xC3, 0x30, 0xCB, 0x2C, 0x80,
		 0xC0, 0xC3, 0x30, 0xCB, 0x2C,
		 0x80, 0x7B, 0xE3, 0x1E, 0xC9,
		 0xCC, 0x80};
	
	Bdisp_AllClr_VRAM();
	ML_rectangle(0,0,127,63,3,BLACK, WHITE);
	ML_rectangle(1,1,126,62,1,WHITE, TRANSPARENT);
	ML_line(2,12,125,12,BLACK);
	ML_pixel(0,0,WHITE);
	ML_pixel(127,0,WHITE);
	ML_pixel(0,63,WHITE);
	ML_pixel(127,63,WHITE);
	PrintMini(56,5,"Aide", MINI_OR);
	PrintMini(10,14,"Le but est de", MINI_OR);
	PrintMini(10,20,"placer toutes", MINI_OR);
	PrintMini(10,26,"les caisses", MINI_OR);
	PrintMini(10,32,"des salles sur", MINI_OR);
	PrintMini(10,38,"les boutons", MINI_OR);
	PrintMini(10,44,"pour finir", MINI_OR);
	PrintMini(10,50,"le niveau.", MINI_OR);

		ML_bmp_8_or(persof,75,16);//Spr Perso
	PrintMini(85,19,"Vous", MINI_OR);
		ML_bmp_8_or(caisse,75,26);
	PrintMini(85,29,"Un Bloc", MINI_OR);
		ML_bmp_8_or(dot,75,36);
	PrintMini(85,39,"Un bouton", MINI_OR);
		ML_bmp_8_or(mur,75,46);
	PrintMini(85,49,"Un mur", MINI_OR);
	Bdisp_PutDisp_DD();
	while(IsKeyUp(KEY_CTRL_EXE));
	while(IsKeyDown(KEY_CTRL_EXE));

	ML_rectangle(3,13,124,60,0,WHITE, WHITE);
	PrintMini(10,14,"Pour se deplacer,", MINI_OR);
	PrintMini(10,20,"utilisez les", MINI_OR);
	PrintMini(10,26,"fleches REPLAY", MINI_OR);
	PrintMini(10,32,"Poussez les blocs", MINI_OR);
	PrintMini(10,38,"en se deplacant", MINI_OR);
	PrintMini(10,44,"vers eux.", MINI_OR);
		ML_bmp_8_or(persor,80,27);
		ML_bmp_8_or(caisse,89,27);
		ML_bmp_8_or(mur,107,27);
	PrintMini(100,29,leftarrow, MINI_OR);
	PrintMini(86,39,downarrow, MINI_OR);
	PrintMini(92,39,downarrow, MINI_OR);
	PrintMini(100,39,downarrow, MINI_OR);
	PrintMini(108,39,downarrow, MINI_OR);
		ML_bmp_8_or(persor,89,47);
		ML_bmp_8_or(caisse,98,47);
		ML_bmp_8_or(mur,107,47);
	Bdisp_PutDisp_DD();
	while(IsKeyUp(KEY_CTRL_EXE));
	while(IsKeyDown(KEY_CTRL_EXE));

	ML_rectangle(3,13,124,60,0,WHITE, WHITE);
	PrintMini(10,14,"En cas de pepin, [F1] pour", MINI_OR);
	PrintMini(10,20,"recommencer. Bonne chance!", MINI_OR);
	PrintMini(10,31,"By", MINI_OR);
	ML_bmp_or(Eiyeron,20,30,41,7);
	PrintMini(10,40,"v1.0.1a D11/05", MINI_OR);
	Bdisp_PutDisp_DD();
	
	while(IsKeyUp(KEY_CTRL_EXE));
	while(IsKeyDown(KEY_CTRL_EXE));
	
}